<Alte::Card @type="warning" {{did-update @onChange this.application.currency}}>
  <Alte::Card::Header @title={{t "components.saving.six-accounts-strategy.parameters.title"}} @titleIcon="flask" />
  <Alte::Card::Body>
    <BsForm @formLayout="vertical" as |form|>

      <fieldset class="form-group">
        <div class="row">
          <div class="col-6 col-sm-8">
            <label for="income">{{t "components.saving.six-accounts-strategy.parameters.income"}}</label>
            <span class="tooltip-container">
              <BsTooltip @title={{t "components.saving.six-accounts-strategy.parameters.income-tooltip"}} />
              <FaIcon class="text-info" @icon="question-circle" />
            </span>
          </div>
          <div class="col-6 col-sm-4">
            <form.element @onChange={{this.dummyAction}} as |el|>
              <el.control
                {{imask-currency
                  @parameters.income
                  @parameters.currency
                  fractionDigits=@parameters.currency.fractionDigits
                  onChange=this.setIncome
                  min=0
                  max=@parameters.incomeMax
                }}
              />
            </form.element>
          </div>
        </div>
        <input
          id="income"
          class="custom-range"
          min="0"
          max={{@parameters.incomeMax}}
          step="100"
          type="range"
          value={{@parameters.income}}
          {{on "change" this.handleIncomeRangeInputOnChange}}
          {{on "input" this.handleIncomeRangeInputOnInput}}
        />
      </fieldset>
    </BsForm>
  </Alte::Card::Body>
</Alte::Card>